Public Member Functions

# wxFileInputStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFileInputStream:
[legend]

## Detailed Description

This class represents data read in from a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileInputStream is based in the wxFFile class.

Note that wxInputStream::SeekI() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase
Category: Streams

See also:
  wxBufferedInputStream, wxFileOutputStream, wxFFileOutputStream

## Public Member Functions
| wxFileInputStream (const wxString &ifileName)
| Opens the specified file using its ifileName name in read-only mode.
| wxFileInputStream (wxFile &file)
| Initializes a file stream in read-only mode using the file I/O object file.
| wxFileInputStream (int fd)
| Initializes a file stream in read-only mode using the specified file descriptor.
virtual | ~wxFileInputStream ()
| Destructor.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFileInputStream::wxFileInputStream | ( | const wxString & | ifileName | ) |

Opens the specified file using its ifileName name in read-only mode.

Warning:
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

wxFileInputStream::wxFileInputStream | ( | wxFile & | file | ) |

Initializes a file stream in read-only mode using the file I/O object file.

wxFileInputStream::wxFileInputStream | ( | int | fd | ) |

Initializes a file stream in read-only mode using the specified file descriptor.

virtual wxFileInputStream::~wxFileInputStream | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxFileInputStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFileStream.

|  | [ top ]